Bug 1195779 (CVE-2021-0127)

Summary: VUL-0: CVE-2021-0127: ucode-intel,microcode_ctl: Intel Processor Breakpoint Control Flow
Product: [Novell Products] SUSE Security Incidents Reporter: Robert Frohl <rfrohl>
Component: IncidentsAssignee: Marcus Meissner <meissner>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/323052/
Whiteboard: CVSSv3.1:SUSE:CVE-2021-0127:5.6:(AV:L/AC:H/PR:L/UI:N/S:C/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Robert Frohl 2022-02-10 12:45:56 UTC
rh#2049528

Under complex microarchitectural conditions, an unexpected code breakpoint may cause a system hang. The hang has been observed on a Skylake server processor, subsequent analysis indicated additional potentially affected processors. The potential exists for a Temporary Denial of of Service (TDOS).

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2049528
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-0127
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0127
https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00532.html
Comment 2 OBSbugzilla Bot 2022-02-10 16:10:03 UTC
This is an autogenerated message for OBS integration:
This bug (1195779) was mentioned in
https://build.opensuse.org/request/show/953250 Factory / ucode-intel
Comment 4 OBSbugzilla Bot 2022-02-11 12:40:05 UTC
This is an autogenerated message for OBS integration:
This bug (1195779) was mentioned in
https://build.opensuse.org/request/show/953726 Factory / ucode-intel
Comment 5 Swamp Workflow Management 2022-02-18 14:39:01 UTC
SUSE-SU-2022:0502-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1192615,1195779,1195780,1195781
CVE References: CVE-2021-0127,CVE-2021-0145,CVE-2021-0146,CVE-2021-33120
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    ucode-intel-20220207-3.70.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ucode-intel-20220207-3.70.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ucode-intel-20220207-3.70.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-02-21 17:29:48 UTC
SUSE-SU-2022:0541-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1192615,1195779,1195780,1195781
CVE References: CVE-2021-0127,CVE-2021-0145,CVE-2021-0146,CVE-2021-33120
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ucode-intel-20220207-3.206.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ucode-intel-20220207-3.206.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ucode-intel-20220207-3.206.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ucode-intel-20220207-3.206.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ucode-intel-20220207-3.206.1
SUSE Enterprise Storage 6 (src):    ucode-intel-20220207-3.206.1
SUSE CaaS Platform 4.0 (src):    ucode-intel-20220207-3.206.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-02-25 20:18:10 UTC
openSUSE-SU-2022:0574-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1192615,1195779,1195780,1195781
CVE References: CVE-2021-0127,CVE-2021-0145,CVE-2021-0146,CVE-2021-33120
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    ucode-intel-20220207-10.1
openSUSE Leap 15.3 (src):    ucode-intel-20220207-10.1
Comment 8 Swamp Workflow Management 2022-02-25 20:19:00 UTC
SUSE-SU-2022:0575-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1192615,1195779,1195780,1195781
CVE References: CVE-2021-0127,CVE-2021-0145,CVE-2021-0146,CVE-2021-33120
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    ucode-intel-20220207-13.93.1
SUSE OpenStack Cloud Crowbar 8 (src):    ucode-intel-20220207-13.93.1
SUSE OpenStack Cloud 9 (src):    ucode-intel-20220207-13.93.1
SUSE OpenStack Cloud 8 (src):    ucode-intel-20220207-13.93.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    ucode-intel-20220207-13.93.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    ucode-intel-20220207-13.93.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    ucode-intel-20220207-13.93.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    ucode-intel-20220207-13.93.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    ucode-intel-20220207-13.93.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    ucode-intel-20220207-13.93.1
HPE Helion Openstack 8 (src):    ucode-intel-20220207-13.93.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2022-02-25 20:19:45 UTC
SUSE-SU-2022:0576-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1192615,1195779,1195780,1195781
CVE References: CVE-2021-0127,CVE-2021-0145,CVE-2021-0146,CVE-2021-33120
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    ucode-intel-20220207-3.38.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-02-25 20:20:39 UTC
SUSE-SU-2022:0574-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1192615,1195779,1195780,1195781
CVE References: CVE-2021-0127,CVE-2021-0145,CVE-2021-0146,CVE-2021-33120
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    ucode-intel-20220207-10.1
SUSE Manager Retail Branch Server 4.1 (src):    ucode-intel-20220207-10.1
SUSE Manager Proxy 4.1 (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise Micro 5.1 (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise Micro 5.0 (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    ucode-intel-20220207-10.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    ucode-intel-20220207-10.1
SUSE Enterprise Storage 7 (src):    ucode-intel-20220207-10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.